libebook::EBOOKOutputElements Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::EBOOKOutputElements Class Reference

`#include <EBOOKOutputElements.h>`

## Public Member Functions
| EBOOKOutputElements ()
virtual | ~EBOOKOutputElements ()
void | append (const EBOOKOutputElements &elements)
void | write (librevenge::RVNGTextInterface *iface) const
void | addCloseEndnote ()
void | addCloseFooter ()
void | addCloseFootnote ()
void | addCloseFrame ()
void | addCloseHeader ()
void | addCloseLink ()
void | addCloseListElement ()
void | addCloseOrderedListLevel ()
void | addClosePageSpan ()
void | addCloseParagraph ()
void | addCloseSection ()
void | addCloseSpan ()
void | addCloseTable ()
void | addCloseTableCell ()
void | addCloseTableRow ()
void | addCloseUnorderedListLevel ()
void | addInsertBinaryObject (const librevenge::RVNGPropertyList &propList)
void | addInsertCoveredTableCell (const librevenge::RVNGPropertyList &propList)
void | addInsertLineBreak ()
void | addInsertSpace ()
void | addInsertTab ()
void | addInsertText (const librevenge::RVNGString &text)
void | addOpenEndnote (const librevenge::RVNGPropertyList &propList)
void | addOpenFooter (const librevenge::RVNGPropertyList &propList, int id)
void | addOpenFootnote (const librevenge::RVNGPropertyList &propList)
void | addOpenFrame (const librevenge::RVNGPropertyList &propList)
void | addOpenHeader (const librevenge::RVNGPropertyList &propList, int id)
void | addOpenLink (const librevenge::RVNGPropertyList &propList)
void | addOpenListElement (const librevenge::RVNGPropertyList &propList)
void | addOpenOrderedListLevel (const librevenge::RVNGPropertyList &propList)
void | addOpenPageSpan (const librevenge::RVNGPropertyList &propList)
void | addOpenPageSpan (const librevenge::RVNGPropertyList &propList, int footer, int footerLeft, int footerFirst, int footerLast, int header, int headerLeft, int headerFirst, int headerLast)
void | addOpenParagraph (const librevenge::RVNGPropertyList &propList)
void | addOpenSection (const librevenge::RVNGPropertyList &propList)
void | addOpenSpan (const librevenge::RVNGPropertyList &propList)
void | addOpenTable (const librevenge::RVNGPropertyList &propList)
void | addOpenTableCell (const librevenge::RVNGPropertyList &propList)
void | addOpenTableRow (const librevenge::RVNGPropertyList &propList)
void | addOpenUnorderedListLevel (const librevenge::RVNGPropertyList &propList)
void | addStartDocument (const librevenge::RVNGPropertyList &propList)
bool | empty () const

## Private Member Functions
| EBOOKOutputElements (const EBOOKOutputElements &)
EBOOKOutputElements & | operator= (const EBOOKOutputElements &)

## Private Attributes
std::list< EBOOKOutputElement * > | m_bodyElements
std::map< int, std::list< EBOOKOutputElement * > > | m_headerElements
std::map< int, std::list< EBOOKOutputElement * > > | m_footerElements
std::list< EBOOKOutputElement * > * | m_elements

## Constructor & Destructor Documentation

libebook::EBOOKOutputElements::EBOOKOutputElements | ( |  | ) |

Referenced by empty().

libebook::EBOOKOutputElements::~EBOOKOutputElements | ( |  | ) |
| virtual

libebook::EBOOKOutputElements::EBOOKOutputElements | ( | const EBOOKOutputElements & |  | ) |
| private

## Member Function Documentation

void libebook::EBOOKOutputElements::addCloseEndnote | ( |  | ) |

void libebook::EBOOKOutputElements::addCloseFooter | ( |  | ) |

void libebook::EBOOKOutputElements::addCloseFootnote | ( |  | ) |

void libebook::EBOOKOutputElements::addCloseFrame | ( |  | ) |

void libebook::EBOOKOutputElements::addCloseHeader | ( |  | ) |

void libebook::EBOOKOutputElements::addCloseLink | ( |  | ) |

void libebook::EBOOKOutputElements::addCloseListElement | ( |  | ) |

void libebook::EBOOKOutputElements::addCloseOrderedListLevel | ( |  | ) |

void libebook::EBOOKOutputElements::addClosePageSpan | ( |  | ) |

void libebook::EBOOKOutputElements::addCloseParagraph | ( |  | ) |

void libebook::EBOOKOutputElements::addCloseSection | ( |  | ) |

void libebook::EBOOKOutputElements::addCloseSpan | ( |  | ) |

void libebook::EBOOKOutputElements::addCloseTable | ( |  | ) |

void libebook::EBOOKOutputElements::addCloseTableCell | ( |  | ) |

void libebook::EBOOKOutputElements::addCloseTableRow | ( |  | ) |

void libebook::EBOOKOutputElements::addCloseUnorderedListLevel | ( |  | ) |

void libebook::EBOOKOutputElements::addInsertBinaryObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libebook::EBOOKOutputElements::addInsertCoveredTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libebook::EBOOKOutputElements::addInsertLineBreak | ( |  | ) |

void libebook::EBOOKOutputElements::addInsertSpace | ( |  | ) |

void libebook::EBOOKOutputElements::addInsertTab | ( |  | ) |

void libebook::EBOOKOutputElements::addInsertText | ( | const librevenge::RVNGString & | text | ) |

void libebook::EBOOKOutputElements::addOpenEndnote | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libebook::EBOOKOutputElements::addOpenFooter | ( | const librevenge::RVNGPropertyList & | propList,
|  | int | id
| ) |  |

void libebook::EBOOKOutputElements::addOpenFootnote | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libebook::EBOOKOutputElements::addOpenFrame | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libebook::EBOOKOutputElements::addOpenHeader | ( | const librevenge::RVNGPropertyList & | propList,
|  | int | id
| ) |  |

void libebook::EBOOKOutputElements::addOpenLink | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libebook::EBOOKOutputElements::addOpenListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libebook::EBOOKOutputElements::addOpenOrderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libebook::EBOOKOutputElements::addOpenPageSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libebook::EBOOKOutputElements::addOpenPageSpan | ( | const librevenge::RVNGPropertyList & | propList,
|  | int | footer,
|  | int | footerLeft,
|  | int | footerFirst,
|  | int | footerLast,
|  | int | header,
|  | int | headerLeft,
|  | int | headerFirst,
|  | int | headerLast
| ) |  |

void libebook::EBOOKOutputElements::addOpenParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libebook::EBOOKOutputElements::addOpenSection | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libebook::EBOOKOutputElements::addOpenSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libebook::EBOOKOutputElements::addOpenTable | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libebook::EBOOKOutputElements::addOpenTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libebook::EBOOKOutputElements::addOpenTableRow | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libebook::EBOOKOutputElements::addOpenUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libebook::EBOOKOutputElements::addStartDocument | ( | const librevenge::RVNGPropertyList & | propList | ) |

void libebook::EBOOKOutputElements::append | ( | const EBOOKOutputElements & | elements | ) |

bool libebook::EBOOKOutputElements::empty | ( |  | ) | const
| inline

EBOOKOutputElements& libebook::EBOOKOutputElements::operator= | ( | const EBOOKOutputElements & |  | ) |
| private

Referenced by empty().

void libebook::EBOOKOutputElements::write | ( | librevenge::RVNGTextInterface * | iface | ) | const

## Member Data Documentation

std::list<EBOOKOutputElement *> libebook::EBOOKOutputElements::m_bodyElements
| private

Referenced by addCloseFooter(), addCloseHeader(), EBOOKOutputElements(), empty(), write(), and ~EBOOKOutputElements().

std::list<EBOOKOutputElement *>* libebook::EBOOKOutputElements::m_elements
| private

Referenced by addCloseEndnote(), addCloseFooter(), addCloseFootnote(), addCloseFrame(), addCloseHeader(), addCloseLink(), addCloseListElement(), addCloseOrderedListLevel(), addClosePageSpan(), addCloseParagraph(), addCloseSection(), addCloseSpan(), addCloseTable(), addCloseTableCell(), addCloseTableRow(), addCloseUnorderedListLevel(), addInsertBinaryObject(), addInsertCoveredTableCell(), addInsertLineBreak(), addInsertSpace(), addInsertTab(), addInsertText(), addOpenEndnote(), addOpenFooter(), addOpenFootnote(), addOpenFrame(), addOpenHeader(), addOpenLink(), addOpenListElement(), addOpenOrderedListLevel(), addOpenPageSpan(), addOpenParagraph(), addOpenSection(), addOpenSpan(), addOpenTable(), addOpenTableCell(), addOpenTableRow(), addOpenUnorderedListLevel(), EBOOKOutputElements(), and ~EBOOKOutputElements().

std::map<int, std::list<EBOOKOutputElement *> > libebook::EBOOKOutputElements::m_footerElements
| private

Referenced by addOpenFooter(), write(), and ~EBOOKOutputElements().

std::map<int, std::list<EBOOKOutputElement *> > libebook::EBOOKOutputElements::m_headerElements
| private

Referenced by addOpenHeader(), write(), and ~EBOOKOutputElements().

The documentation for this class was generated from the following files:

- EBOOKOutputElements.h
- EBOOKOutputElements.cpp